Open CASCADE Technology: Aspect_Array1OfEdge Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
Aspect_Array1OfEdge Class Reference

`#include <Aspect_Array1OfEdge.hxx>`

## Public Member Functions
| Aspect_Array1OfEdge (const Standard_Integer Low, const Standard_Integer Up)
| Aspect_Array1OfEdge (const Aspect_Edge &Item, const Standard_Integer Low, const Standard_Integer Up)
void | Init (const Aspect_Edge &V)
void | Destroy ()
| ~Aspect_Array1OfEdge ()
Standard_Boolean | IsAllocated () const
const Aspect_Array1OfEdge & | Assign (const Aspect_Array1OfEdge &Other)
const Aspect_Array1OfEdge & | operator= (const Aspect_Array1OfEdge &Other)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const Aspect_Edge &Value)
const Aspect_Edge & | Value (const Standard_Integer Index) const
const Aspect_Edge & | operator() (const Standard_Integer Index) const
Aspect_Edge & | ChangeValue (const Standard_Integer Index)
Aspect_Edge & | operator() (const Standard_Integer Index)

## Constructor & Destructor Documentation

Aspect_Array1OfEdge::Aspect_Array1OfEdge | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |  |

Aspect_Array1OfEdge::Aspect_Array1OfEdge | ( | const Aspect_Edge & | Item,
|  | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |  |

Aspect_Array1OfEdge::~Aspect_Array1OfEdge | ( |  | ) |
| inline

## Member Function Documentation

const Aspect_Array1OfEdge& Aspect_Array1OfEdge::Assign | ( | const Aspect_Array1OfEdge & | Other | ) |

Aspect_Edge& Aspect_Array1OfEdge::ChangeValue | ( | const Standard_Integer | Index | ) |

void Aspect_Array1OfEdge::Destroy | ( |  | ) |

void Aspect_Array1OfEdge::Init | ( | const Aspect_Edge & | V | ) |

Standard_Boolean Aspect_Array1OfEdge::IsAllocated | ( |  | ) | const

Standard_Integer Aspect_Array1OfEdge::Length | ( |  | ) | const

Standard_Integer Aspect_Array1OfEdge::Lower | ( |  | ) | const

const Aspect_Edge& Aspect_Array1OfEdge::operator() | ( | const Standard_Integer | Index | ) | const
| inline

Aspect_Edge& Aspect_Array1OfEdge::operator() | ( | const Standard_Integer | Index | ) |
| inline

const Aspect_Array1OfEdge& Aspect_Array1OfEdge::operator= | ( | const Aspect_Array1OfEdge & | Other | ) |
| inline

void Aspect_Array1OfEdge::SetValue | ( | const Standard_Integer | Index,
|  | const Aspect_Edge & | Value
| ) |  |

Standard_Integer Aspect_Array1OfEdge::Upper | ( |  | ) | const

const Aspect_Edge& Aspect_Array1OfEdge::Value | ( | const Standard_Integer | Index | ) | const

The documentation for this class was generated from the following file:

- Aspect_Array1OfEdge.hxx